## Get a permit

### cURL

```
curl --request GET \
  --url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/permits/{id}/ \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/permits/{id}/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/permits/{id}/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Example

```json
{
  "id": 10004,
  "retailer": {
    "name": "Demo Retailer",
    "code": "demo-retailer",
    "id": 500,
    "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
    "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
    "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
    "joined_at": "2021-08-03T17:24:12Z",
    "is_rcn_retailer": false,
    "is_onboarded": false,
    "platform": "fabric",
    "requires_subscription": "disabled",
    "brand_permit_creation_allowed": false,
    "website": "https://demoabc.com",
    "status": "active"
  },
  "variant": {
    "id": 249,
    "name": "Var45",
    "brand": {
      "code": "marla-store",
      "id": 456,
      "name": "Marla Store"
    },
    "identifier": "123-DEF12345",
    "brand_identifier": "HATR",
    "upc": 555555555202,
    "retailer_identifiers": [
      {
        "id": 5642,
        "retailer": {
          "name": "Demo Retailer",
          "code": "demo-retailer",
          "id": 500,
          "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
          "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
          "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
          "joined_at": "2021-08-03T17:24:12Z",
          "is_rcn_retailer": false,
          "is_onboarded": false,
          "platform": "fabric",
          "requires_subscription": "disabled",
          "brand_permit_creation_allowed": false,
          "website": "https://demoabc.com",
          "status": "active"
        },
        "identifier": "SKU976",
        "name": "Retailer Sample"
      }
    ]
  },
  "connection": {
    "id": 1000,
    "connection_fee": {
      "id": 1000,
      "payment_model": "managed",
      "payment_terms": "net60",
      "net_price_method": "permit_cost",
      "revshare_fraction": "0.4000",
      "revc_fee_flat": "0.00",
      "revc_fee_fraction": "0.0300",
      "brand_fee_flat": "0.00",
      "brand_flat_order_fee": "0.00",
      "brand_percent_order_fee": "0.0000",
      "effective_at": "2015-10-10T00:00:00Z"
    }
  },
  "retailer_price": "12.99",
  "retailer_cost": "8.99",
  "pricing": {},
  "attributes": {},
  "start_at": "2021-07-10T15:24:56Z",
  "end_at": "2022-11-10T15:24:56Z",
  "is_in_effect": true,
  "revoked_at": "2022-08-10T15:24:56Z",
  "is_acknowledged": true,
  "acknowledged_at": "2022-08-10T15:24:56Z"
}
```

### Authorizations

**Authorization**: `Bearer <token>` (required)

#### Path Parameters
- `retailer_id`: The unique retailer ID. In the Dropship UI, this is called the Merchant ID.
- `id`: The unique permit identifier. This ID is automatically generated when a permit is created.

#### Response
**200 - application/json**: OK

- **id**: Permit ID
- **retailer**: Object containing retailer details
- **variant**: Object containing variant details
- **connection**: Object containing connection fee details
- **retailer_price**: Retailer price
- **retailer_cost**: Retailer cost
- **pricing**: Pricing object
- **attributes**: Attributes object
- **start_at**: Time of permit beginning
- **end_at**: Time of permit ending
- **is_in_effect**: true/false (Permit status)
- **revoked_at**: Time when permit got revoked
- **is_acknowledged**: true/false (Permit acknowledgment status)
- **acknowledged_at**: Time of permit acknowledgement (UTC format)
